﻿Imports System.Linq
Imports System.Text
Imports System.Threading
Imports System.Threading.Tasks
Imports System

Public NotInheritable Class SystemUnderTest
    Private ReadOnly _service As IMyService

    Public Sub New(ByVal service As IMyService)
        _service = service
    End Sub

    Public Async Function RetrieveValueAsync() As Task(Of Integer)
        Return 42 + Await _service.GetAsync()
    End Function

    Public Shared Async Function FailAsync() As Task
        Await Task.Delay(100)
        Throw New Exception("Should fail.")
    End Function

    Public Shared Sub Fail()
        Throw New Exception("Should fail.")
    End Sub
End Class
